Subject: Re: bug#2224: [PATCH] add-log.el: Modularize add-log-current-defun, new types supported

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 11 Apr 2012 14:44:34 +0200

Jari Aalto <[email-masked]> writes:

> The following patch breaks down monolithic `add-log-current-defun' into
> separate testing functions. Support for New buffer types is also
> provided. The patch is against version control as of 2009-02-06.

[...]

> 2009-02-06  Jari Aalto  <[email-masked]>
>
>         * add-log.el (add-log-current-defun): Split function into
>         separate parts: add-log-current-defun-type-*. Add support
>         for new types: python, ruby, Bourne Shell, Makefile,
>         X?HTML, CSS, PHP, Javascript, Asciidoc.
>         (add-log-current-defun-type-c-like): New function.
>         (add-log-current-defun-type-tex-like): New function.
>         (add-log-current-defun-type-texinfo-like): New function.
>         (add-log-current-defun-type-perl-like): New function.
>         (add-log-current-defun-type-python-like): New function.
>         (add-log-current-defun-type-shell-ruby-like): New function.
>         (add-log-current-defun-type-autoconf-like): New function.
>         (add-log-current-defun-type-html-like): New function.
>         (add-log-current-defun-type-css-like): New function.
>         (add-log-current-defun-type-php-like): New function.
>         (add-log-current-defun-type-javascript-like): New function.
>         (add-log-current-defun-type-shell-bourne-like): New function.
>         (add-log-current-defun-type-makefile-like): New function.
>         (add-log-current-defun-type-text-asciidoc-like): New function.
>         (add-log-current-defun-type-default): New function.

That's a lot of functions, but it does makes stuff clearer.  Does
anybody have an opinion here?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/